#
# spec file for package obs-service-generator_driver_update_disk
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           obs-service-generator_driver_update_disk
Summary:        An OBS source service: create driver update kiwi file
License:        GPL-2.0+
Group:          Development/Tools/Building
Version:        0.2
Release:        2.19
Requires:       build perl = %{perl_version} perl-XML-Structured >= 1.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Source:         generator_driver_update_disk
Source1:        generator_driver_update_disk.service
# is a copy from obs-server package:
Source2:        BSKiwiXML.pm

%description
This is a source service for openSUSE Build Service.

Creates kiwiw files to create driver update disks used to deliver updated hardware drivers to install older suse versions on newer hardware.

%prep
%setup -q -D -T 0 -n .

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/obs/service
install -m 0755 %{SOURCE0} $RPM_BUILD_ROOT/usr/lib/obs/service
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/obs/service
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/obs/service

%files
%defattr(-,root,root)
%dir /usr/lib/obs
/usr/lib/obs/service

%changelog
* Wed Jul 29 2015 ro@suse.de
- fix license
